// _GestionCongeCir_Interface.java
// Created on 24 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.conges.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionCongeCir_Interface extends COFrame {

    /** Creates new form _GestionCongeCir_Interface */
    public _GestionCongeCir_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        cOLabel1 = new org.cocktail.component.COLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        cOView1 = new org.cocktail.component.COView();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOTextField2 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        vueMotif = new org.cocktail.component.COTextArea();
        jLabel6 = new javax.swing.JLabel();
        cOLabel2 = new org.cocktail.component.COLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        vueArretes = new org.cocktail.component.COView();
        vueArrete = new org.cocktail.component.COView();
        contenuVueArrete = new org.cocktail.component.COView();
        cOTextField6 = new org.cocktail.component.COTextField();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOButton9 = new org.cocktail.component.COButton();
        vueTexte = new org.cocktail.component.COTextArea();
        jLabel5 = new javax.swing.JLabel();
        cOButton10 = new org.cocktail.component.COButton();
        jLabel9 = new javax.swing.JLabel();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);
        displayGroup.setKeys(new Object[] {"commentaire","dateDebutFormatee","dateDecisionFormatee","dateFinFormatee","motif"});

        setControllerClassName("org.cocktail.mangue.client.conges.GestionCongeCir");
        setSize(new java.awt.Dimension(542, 610));

        cOLabel1.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        cOLabel1.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel1.setValueName("compteurMotif");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("peutModifier");
        cOTextField4.setValueName("dateDecisionFormatee");

        cOView1.setIsBox(true);
        cOView1.setTitle("Durée");

        cOTextField1.setEnabledMethod("nonEditable");
        cOTextField1.setNumberFieldFormat("0");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("nbsMois");

        cOTextField2.setEnabledMethod("nonEditable");
        cOTextField2.setNumberFieldFormat("0");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("nbCongesMemeType");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Nombre de mois");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Nombre de CIR déjà consommés");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .add(49, 49, 49)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel1)
                    .add(jLabel2))
                .add(18, 18, 18)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(208, Short.MAX_VALUE))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2))
                .add(39, 39, 39))
        );

        vueMotif.setDisplayGroupForValue(displayGroup);
        vueMotif.setEnabledMethod("peutModifier");
        vueMotif.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        vueMotif.setShouldRefreshImmediately(true);
        vueMotif.setSupportsBackgroundColor(true);
        vueMotif.setValueName("motif");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel6.setText("Date de la décision");

        cOLabel2.setFont(new java.awt.Font("Helvetica", 0, 11)); // NOI18N
        cOLabel2.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel2.setValueName("compteurCommentaire");

        jLabel7.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel7.setText("DEBUT");

        jLabel8.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel8.setText("FIN");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel4.setText("Motif");

        vueArrete.setFont(new java.awt.Font("Helvetica", 3, 11)); // NOI18N
        vueArrete.setIsBox(true);
        vueArrete.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteLayout = new org.jdesktop.layout.GroupLayout(contenuVueArrete);
        contenuVueArrete.setLayout(contenuVueArreteLayout);
        contenuVueArreteLayout.setHorizontalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 478, Short.MAX_VALUE)
        );
        contenuVueArreteLayout.setVerticalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 60, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout vueArreteLayout = new org.jdesktop.layout.GroupLayout(vueArrete);
        vueArrete.setLayout(vueArreteLayout);
        vueArreteLayout.setHorizontalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        vueArreteLayout.setVerticalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout vueArretesLayout = new org.jdesktop.layout.GroupLayout(vueArretes);
        vueArretes.setLayout(vueArretesLayout);
        vueArretesLayout.setHorizontalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 502, Short.MAX_VALUE)
            .add(vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueArretesLayout.createSequentialGroup()
                    .add(0, 0, 0)
                    .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(0, 0, 0)))
        );
        vueArretesLayout.setVerticalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 111, Short.MAX_VALUE)
            .add(vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueArretesLayout.createSequentialGroup()
                    .add(0, 0, 0)
                    .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .addContainerGap(16, Short.MAX_VALUE)))
        );

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("peutModifier");
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("dateFinFormatee");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("peutModifier");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("dateDebutFormatee");

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setIconName("annuler16.gif");

        vueTexte.setDisplayGroupForValue(displayGroup);
        vueTexte.setShouldRefreshImmediately(true);
        vueTexte.setSupportsBackgroundColor(true);
        vueTexte.setValueName("commentaire");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Commentaire");

        cOButton10.setActionName("valider");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutValider");
        cOButton10.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(20, 20, 20)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel4)
                            .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(layout.createSequentialGroup()
                                    .add(jLabel5)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(org.jdesktop.layout.GroupLayout.LEADING, vueMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 487, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 487, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(layout.createSequentialGroup()
                                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(layout.createSequentialGroup()
                        .add(137, 137, 137)
                        .add(jLabel6)
                        .add(18, 18, 18)
                        .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(108, 108, 108)
                        .add(jLabel7)
                        .add(18, 18, 18)
                        .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(30, 30, 30)
                        .add(jLabel8)
                        .add(18, 18, 18)
                        .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(20, 20, 20))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(111, 111, 111)
                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 258, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(173, 173, 173))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(9, 9, 9)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8))
                .add(0, 0, 0)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel4)
                .add(0, 0, 0)
                .add(vueMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5)))
                .add(0, 0, 0)
                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(14, 14, 14)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    private org.cocktail.component.COView cOView1;
    public org.cocktail.component.COView contenuVueArrete;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public javax.swing.JLabel jLabel1;
    public javax.swing.JLabel jLabel2;
    public javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COView vueArrete;
    public org.cocktail.component.COView vueArretes;
    public org.cocktail.component.COTextArea vueMotif;
    public org.cocktail.component.COTextArea vueTexte;
    // End of variables declaration//GEN-END:variables
                  

}
